MMFF/AtomTyper.h File Reference
`#include <vector>`
`#include <string>`
`#include <iostream>`
`#include <ForceField/MMFF/Params.h>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::MMFF::MMFFAtomProperties
class | RDKit::MMFF::MMFFMolProperties

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::MMFF

## Typedefs

typedef boost::shared_ptr< MMFFAtomProperties > | RDKit::MMFF::MMFFAtomPropertiesPtr

## Enumerations

enum | { RDKit::MMFF::CONSTANT = 1, RDKit::MMFF::DISTANCE = 2 }
enum | { RDKit::MMFF::MMFF_VERBOSITY_NONE = 0, RDKit::MMFF::MMFF_VERBOSITY_LOW = 1, RDKit::MMFF::MMFF_VERBOSITY_HIGH = 2 }

## Functions

unsigned int | RDKit::MMFF::isAngleInRingOfSize3or4 (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3)
unsigned int | RDKit::MMFF::isTorsionInRingOfSize4or5 (const ROMol &mol, const unsigned int idx1, const unsigned int idx2, const unsigned int idx3, const unsigned int idx4)
bool | RDKit::MMFF::isAtomInAromaticRingOfSize (const Atom *atom, const unsigned int ringSize)
bool | RDKit::MMFF::isAtomNOxide (const Atom *atom)
bool | RDKit::MMFF::areAtomsInSameAromaticRing (const ROMol &mol, const unsigned int idx1, const unsigned int idx2)
bool | RDKit::MMFF::areAtomsInSameRingOfSize (const ROMol &mol, const unsigned int ringSize, const unsigned int numAtoms,...)
unsigned int | RDKit::MMFF::sanitizeMMFFMol (RWMol &mol)
void | RDKit::MMFF::setMMFFAromaticity (RWMol &mol)
unsigned int | RDKit::MMFF::getMMFFStretchBendType (const unsigned int angleType, const unsigned int bondType1, const unsigned int bondType2)
unsigned int | RDKit::MMFF::getPeriodicTableRow (const int atomicNum)
const ForceFields::MMFF::MMFFAngle * | RDKit::MMFF::getMMFFAngleBendEmpiricalRuleParams (const ROMol &mol, const ForceFields::MMFF::MMFFAngle *oldMMFFAngleParams, const ForceFields::MMFF::MMFFProp *mmffPropParamsCentralAtom, const ForceFields::MMFF::MMFFBond *mmffBondParams1, const ForceFields::MMFF::MMFFBond *mmffBondParams2, unsigned int idx1, unsigned int idx2, unsigned int idx3)